<?xml version="1.0" encoding="Shift_JIS"?>
<!--
	Ant1.5.1用ビルドファイル
	使い方はant -projecthelp で。

	ant -f hello-build.xml debug
 -->

<project name="kandata-hello" default="debug" basedir=".">

	<description>サンプル:Hello</description>
	<!-- このビルドのためにグローバルプロパティを設定します -->
	<property name="src"    value="src" />
	<property name="build"  value="kandata-hello/WEB-INF/classes" />

	<target name="init" depends="kandata-build" description="開発環境の初期化を行います">
		<!-- コンパイルで使用するビルドディレクトリ構造を作成します -->
		<mkdir dir="${build}" />
	</target>

	<target name="compile" depends="init" description="ソースをコンパイルする " >
		<javac srcdir="${src}" destdir="${build}"
				includes="kandata/**,hello/**"
				debug="on" deprecation="on" />
	</target>

	<target name="debug" depends="compile" description="デバッグします" >
		<java classname="kandata.DebugConnector" fork="true" dir="./kandata-hello/WEB-INF" >
			<arg value="hello.server.HelloServer" />
			<classpath>
				<pathelement location="${build}" />
				<pathelement path="${java.class.path}" />
			</classpath>
		</java>
	</target>

	<target name="localhost" depends="compile" description="localhostに接続します" >
		<java classname="kandata.client.http.HttpConnector" fork="true" dir="." >
			<arg value="http://localhost:8080/kandata-hello/servlet/kandata.server.http.ServletServer" />
			<classpath>
				<pathelement location="${build}" />
				<pathelement path="${java.class.path}" />
			</classpath>
		</java>
	</target>

	<target name="kandata-build" description="Kandataをビルドします">
		<ant antfile="build.xml" dir="." target="build"/>
	</target>
</project>
